Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.distribution
Interface HypergeometricDistribution

All Superinterfaces:
  DiscreteDistribution, Distribution, IntegerDistribution

All Known Implementing Classes:
  HypergeometricDistributionImpl

public interface HypergeometricDistribution
extends IntegerDistribution

The Hypergeometric Distribution. Instances of HypergeometricDistribution objects should be created using `DistributionFactory.createHypergeometricDistribution(int, int, int)`.

References:

- Hypergeometric Distribution

Version:
  $Revision: 1.11 $ $Date: 2004/11/07 03:32:48 $

Method Summary
`int` | `getNumberOfSuccesses()` Access the number of successes.
`int` | `getPopulationSize()` Access the population size.
`int` | `getSampleSize()` Access the sample size.
`void` | `setNumberOfSuccesses(int num)` Modify the number of successes.
`void` | `setPopulationSize(int size)` Modify the population size.
`void` | `setSampleSize(int size)` Modify the sample size.

Methods inherited from interface org.apache.commons.math.distribution.IntegerDistribution
`cumulativeProbability, cumulativeProbability, inverseCumulativeProbability, probability`

Methods inherited from interface org.apache.commons.math.distribution.DiscreteDistribution
`probability`

Methods inherited from interface org.apache.commons.math.distribution.Distribution
`cumulativeProbability, cumulativeProbability`

Method Detail

### getNumberOfSuccesses

    public int getNumberOfSuccesses()

  Access the number of successes.

  Returns:
    the number of successes.

### getPopulationSize

    public int getPopulationSize()

  Access the population size.

  Returns:
    the population size.

### getSampleSize

    public int getSampleSize()

  Access the sample size.

  Returns:
    the sample size.

### setNumberOfSuccesses

    public void setNumberOfSuccesses(int num)

  Modify the number of successes.

  Parameters:
    `num` - the new number of successes.

### setPopulationSize

    public void setPopulationSize(int size)

  Modify the population size.

  Parameters:
    `size` - the new population size.

### setSampleSize

    public void setSampleSize(int size)

  Modify the sample size.

  Parameters:
    `size` - the new sample size.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004 The Apache Software Foundation. All Rights Reserved.